# OS_Errno.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_errno.h"`
`#include "ace/OS_Errno.inl"`

Include dependency graph for OS_Errno.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Errno_Guard
| Provides a wrapper to improve performance when thread-specific errno must be saved and restored in a block of code. More...

## Defines

#define | ACE_INLINE inline

## Detailed Description

Id
  OS_Errno.h,v 4.11 2005/10/28 16:14:54 ossama Exp

Author:
  (Originally in OS.h)Doug Schmidt <schmidt@cs.wustl.edu>

## Define Documentation

#define ACE_INLINE inline